Update domains for Apple Pay | Moov Documentation
Update domains for Apple Pay
Add or remove domains to be registered with Apple Pay.
Any domains that will be used to accept payments must first be verified with Apple.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/apple-pay.write scope.
PATCH
/accounts/{accountID}/apple-pay/domains
curl -X PATCH "https://api.moov.io/accounts/{accountID}/apple-pay/domains" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
addDomains := []string{"pay.classbooker.dev"}
removeDomains := []string{"checkout.classbooker.dev"}
mc.UpdateApplePayDomain(ctx, accountID,
moov.PatchApplyPayDomains{
AddDomains: addDomains,
RemoveDomains: removeDomains,
})
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.applePay.updateMerchantDomains({
accountID: "34b1c132-91d4-4676-9864-87e1d961d56d",
updateApplePayMerchantDomains: {
addDomains: [
"pay.classbooker.dev",
],
removeDomains: [
"checkout.classbooker.dev",
],
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\